# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'landline'
require 'landline/util/cookie'

app = Landline::Server.new do
  get "/set-cookie" do
    cookie "test", (rand * 500).floor.to_s
    header "content-type", "text/plain"
    "Cookie set! Visit /get-cookie to view it"
  end
  get "/get-cookie" do
    header "content-type", "text/plain"
    request.cookies['test']&.pretty_inspect
  end
end

run app
