# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'landline'
require_relative 'external_methods'

app = Landline::Server.new do
  get "/hello" do
    header "content-type", "text/plain"
    do_hello()
  end
end

run app
