# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'landline'

app = Landline::Server.new do
  get "/hello" do
    header "content-type", "text/html"
    erubi(<<~CONTENT
      <!DOCTYPE HTML>
      <% require_relative 'plugin_library' %>
      <html>
        <head>
          <title> Hello and welcome to the most amazing plugin ever! </title>
        </head>
        <body>
          <p>
            <%= do_hello %>
          </p>
        </body>
      </html>
    CONTENT
         ).run
  end
end

run app
