# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'landline'

app = Landline::Server.new do
  remap ENV["PWD"]
  get "/" do
    status 200
    header "content-type", "text/html"
    erubi(file("index.rhtml"), { 'localrand' => rand }).run
  end
end

run app
