# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'landline'

app = Landline::Server.new do
  path "/hello" do
    bounce
    get "/world" do
      "Hello world!"
    end
  end
  get "/hello/user" do
    "Hello user!"
  end
end

run app
