# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require 'landline'

app = Landline::Server.new do
  root ENV["PWD"]
  index ["index.html"]
  post "/" do
    formdata = form if form?
    puts formdata.pretty_inspect
    erubi(file("index.rhtml"), { formdata: formdata }).run
  end
  get "/" do
    erubi(file("index.rhtml")).run
  end
end

run app
