# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name                  = "landline"
  spec.version               = "0.11.0"
  spec.summary               = "Elegant HTTP DSL"
  spec.description           = <<~DESC
    Landline is a no-hard-dependencies HTTP routing DSL that was made entirely for fun.
    It runs on any HTTP server that supports the Rack 3.0 protocol.
    It is usable for many menial tasks, and as long as it continues to be fun, it will keep growing.
  DESC
  spec.authors               = ["Yessiest"]
  spec.license               = "AGPL-3.0-or-later"
  spec.email                 = "yessiest@text.512mb.org"
  spec.homepage              = "https://adastra7.net/git/Yessiest/landline"
  spec.files                 = Dir["lib/**/*"]
  spec.extra_rdoc_files      = Dir["*.md"]
  spec.required_ruby_version = ">= 3.0.6"
end
