# frozen_string_literal: true

require_relative 'landline/util/jwt'
require_relative 'landline/server'
require_relative 'landline/path'
require_relative 'landline/probe'
require_relative 'landline/request'
require_relative 'landline/response'
require_relative 'landline/template'
require_relative 'landline/app'

# Landline is a hideously simple ruby web framework
module Landline
  # Landline version
  VERSION = '0.11 "Decades of science" (beta)'

  # Landline branding and version
  VLINE = "Landline/#{Landline::VERSION} (Ruby/#{RUBY_VERSION}/#{RUBY_RELEASE_DATE})\n".freeze

  # Landline copyright
  COPYRIGHT = "Copyright 2023 Yessiest"
end
